commit aa7925c4a798b9ed2cd43bd3c99c2df2a1824311
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 20 15:53:42 2013 -0700

    libpciaccess 0.13.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bdcb46d33c6514278d2209fd00ed58c580da5ff3
Author: John Martin <John.M.Martin@Oracle.COM>
Date:   Sat Jul 20 15:49:05 2013 -0700

    Fix Sun bug #7035791: scanpci should report 64 bit registers
    
    On a system which has allocated 64-bit device addresses scanpci -v
    will show entries such as:
    [...]
      BASE0     0xce000000 SIZE 16777216  MEM
      BASE1     0x00000fc1f8000000 SIZE 134217728  MEM64 PREFETCHABLE
      BASE3     0x00000fc1f6000000 SIZE 33554432  MEM64 PREFETCHABLE
    [...]
    instead of:
    [...]
      BASE0     0xce000000 SIZE 16777216  MEM
      BASE1     0xf8000000 SIZE 134217728  MEM PREFETCHABLE
      BASE3     0xf6000000 SIZE 33554432  MEM PREFETCHABLE
    [...]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f806b95d029d36c977befed4096734f6461efa08
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 20 15:00:40 2013 -0700

    Resync COPYING file with copyrights/licenses from code
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3bf035fcfd0ad55220f484f7fb5d5f18690bdb10
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 10:09:31 2013 -0700

    pci_device_solx_devfs_probe: implicit conversion changes signedness warnings
    
    solx_devfs.c:615:32: warning: implicit conversion changes signedness:
     'unsigned long' to 'int' [-Wsign-conversion]
        for (i = 0; i < len; i = i + CELL_NUMS_1275) {
                               ~ ~~^~~~~~~~~~~~~~~~
    solx_devfs.c:615:30: warning: implicit conversion changes signedness:
     'int' to 'unsigned long' [-Wsign-conversion]
        for (i = 0; i < len; i = i + CELL_NUMS_1275) {
                                 ^ ~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 883acb4bf30735c7d8f3147341345fa9e3bc76b2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 10:00:44 2013 -0700

    Solaris: Remove #defines for Ultra 45 southbridge device ids
    
    Workaround for these chipsets was removed in commit d76fb36d9c28be0f7c
    with the switch of probing methods from the PCI address poking that upset
    them to using the already collected data from the kernel via devinfo,
    but the #define to identify them was left behind unused - remove it too.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3773eea8d4e22aaedf675051e5e96af53b925152
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 09:56:46 2013 -0700

    pci_device_solx_devfs_read: fix sign conversion/comparison warnings
    
    Fixes:
    solx_devfs.c:824:19: warning: comparison of integers of different signs: 'int' and 'pciaddr_t' (aka 'unsigned long') [-Wsign-compare]
        for (i = 0; i < size; i += PCITOOL_ACC_ATTR_SIZE(PCITOOL_ACC_ATTR_SIZE_1))
                    ~ ^ ~~~~
    solx_devfs.c:826:28: warning: implicit conversion changes signedness: 'int' to 'unsigned long' [-Wsign-conversion]
            cfg_prg.offset = offset + i;
                                    ~ ^
    solx_devfs.c:844:19: warning: implicit conversion changes signedness: 'int' to 'pciaddr_t' (aka 'unsigned long') [-Wsign-conversion]
        *bytes_read = i;
                    ~ ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 22f4b45056587f5700b87d09e9fe91bbb0eda4c5
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Sat Jun 29 20:49:54 2013 +0200

    Support more pci functions on NetBSD.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9a13ecb8f1462efaf741fed293e29ba38757ff70
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Sat Jun 29 20:49:53 2013 +0200

    Fix build on NetBSD-4.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1d364cb2f5b5cb1b18601735f42bada7a521be19
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Sat Jun 29 20:49:52 2013 +0200

    Enable boot_vga support only if WSDISPLAYIO_GET_BUSID is defined.
    
    Fixes build on NetBSD-5.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7f388e466bd7fbb7f9eba531e494e7efbd3a65dc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 24 21:20:27 2013 -0700

    pci_id_file_open: move variable inside the #ifndef that uses it
    
    Clears up gcc warning on Solaris:
    common_device_name.c: In function 'pci_id_file_open':
    common_device_name.c:83:17: warning: unused variable 'result' [-Wunused-variable]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a39f054649e773a4b33bf8f52152f7c5139bb90e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 24 21:09:52 2013 -0700

    Define PCI_MATCH_ANY as an unsigned int
    
    Clears a bunch of clang warnings of the forms:
    
    common_device_name.c:345:23: warning: comparison of integers of different signs:
     'const uint32_t' (aka 'const unsigned int') and 'int' [-Wsign-compare]
        if ( m->vendor_id == PCI_MATCH_ANY ) {
             ~~~~~~~~~~~~ ^  ~~~~~~~~~~~~~
    
    common_device_name.c:498:19: warning: implicit conversion changes signedness:
     'int' to 'uint32_t' (aka 'unsigned int') [-Wsign-conversion]
        m.device_id = PCI_MATCH_ANY;
                    ~ ^~~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5aff35d1ef659babd71f44f7963e4e908dcd86c4
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Tue Jun 11 11:46:26 2013 +0200

    Update NetBSD support.
    
    Signed-off-by: Michael Lorenz <macallan@NetBSD.org>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c10c86e5856596778cb8322aec8ce663b1f1bea5
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Tue Jun 11 11:45:50 2013 +0200

    Move 'const' to correct place, so it has meaning.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 719888a9ec5ef5a45698dea8a9642091c433ff29
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Sun Jun 2 22:38:39 2013 +0200

    Protect config.h like usual.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 434cd73d23cf5dc60d2047047378b59cadb0d5bb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jun 7 20:31:37 2013 -0700

    Bug 63583 - add legacy IO routines for FreeBSD
    
    https://bugs.freedesktop.org/show_bug.cgi?id=63583
    
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>
    Signed-off-by: Jung-uk Kim <jkim@FreeBSD.org>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d76fb36d9c28be0f7c43e0ca1e961c30a7781bd4
Author: Henry Zhao <henry.zhao@oracle.com>
Date:   Thu Jan 10 17:53:09 2013 -0800

    Solaris: probe improvement
    
    Remove pcitool dependency in probing phase. Use the data
    collected from devinfo tree instead in creating pci file
    system.
    
    Signed-off-by: Henry Zhao <henzhao@glory3.(none)>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3e17f069682a226c14bb29c802e776c6e39f7e8f
Author: Henry Zhao <henry.zhao@oracle.com>
Date:   Tue Dec 18 15:10:46 2012 -0800

    Solaris: Add domain support for sparc platform
    
    As a result the code of finding nexus node for a device in sparc is
    simplified and made the same as x86.
    
    Signed-off-by: Henry Zhao <henry.zhao@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 897cad2620ffbd6ecbbaea2a67fb973ec7990198
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d69019c5b744348d6e5032ef87f4a743f68cb112
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 0ad7b5c548ecf409a1fdd835bde52a8cf5371b7a
Author: Egbert Eich <eich@freedesktop.org>
Date:   Mon Jul 4 07:38:33 2011 +0200

    PCI: set correct mask value when matching for bridges.
    
    The mask must not be zero otherwise the matching condition will never
    be true: ((val & mask) == set).
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Reviewed-by: Guillem Jover <guillem@hadrons.org>

commit 72e0c0b4d4680b7a7b4b42be525d406635dae40f
Author: Henry Zhao <henry.zhao@oracle.com>
Date:   Fri Apr 6 17:26:59 2012 -0700

    scanpci: print meaningful info on BASEROM
    
    Signed-off-by: Henry Zhao <henry.zhao@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ba53031899611a1653656034a1a3de9b71e5bc85
Author: Henry Zhao <henry.zhao@oracle.com>
Date:   Fri Apr 6 16:52:42 2012 -0700

    libpciaccess: sparc rom read fix
    
    Get rom address and size from device's "assigned-addresses" property
    if they exist.
    
    Signed-off-by: Henry Zhao <henry.zhao@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2edddd4c4eb4258f4347c40e76bf0d5f1bcf51a7
Author: Henry Zhao <henry.zhao@oracle.com>
Date:   Fri Oct 5 12:41:36 2012 -0700

    libpciaccess: implementation of boot_vga in Solaris
    
    Signed-off-by: Henry Zhao <henry.zhao@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 630b00a0847df9acf53391e6415bdfcd13fdae68
Author: Mark Logan <mark.logan@oracle.com>
Date:   Tue Sep 18 13:28:18 2012 -0700

    libpciaccess: fix memory usage errors
    
    This patch fixes memory usage errors that only occur on large SPARC
    machines with more than 256 PCI devices. In this case, memory is being
    used after it has been freed by calls to both free() and realloc().
    This error was introduced by a previous patch:
    2011-03-30 Solaris support for multiple PCI segments (domains)
    
    Signed-off-by: Mark Logan <mark.logan@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 09f5b48f559888339450bb4a79d178c94da34638
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Thu May 31 20:00:34 2012 +0200

    Implement legacy io & map for x86 backend
    
    Add the legacy io and map methods for the x86 backend, using ioperm,
    in/out, and the existing mmap method.
    
    Signed-off-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit 9f2d95e61896f41adb8087fb805eb37899cce55f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Apr 18 22:17:54 2012 -0700

    Solaris: refactor pci_device_solx_devfs_map_range to reduce code duplication
    
    The sparc & x86 cases were doing essentially the same things with
    different paths, so make the path setup be inside the platform
    specific #ifdefs, make the open, mmap, & error handling common code.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d50292ca8cbbaa5e0c92627f3d7813194c7c83ac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Apr 18 15:30:30 2012 -0700

    Solaris: Implement map_legacy & legacy_io functions
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jay Cotton <jay.cotton@oracle.com>

commit 2ff2996dcb4cfd83da6df4504b68b492b983204b
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Apr 9 19:05:27 2012 +0200

    Bump to 0.13.1
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 6f9d9f1e1b093939bc459be606fba72f1d6dfc76
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Mon Apr 2 08:22:23 2012 +0200

    Fix pci_io_handle allocation routines.
    
    The previous version of new_io_handle()  would invalidate all previous
    allocations when realloc moves the base pointer of the ios array.
    Since I cannot figure out where this array is useful, just get rid of
    it, providing sound stable memory allocation.
    
    Fixes vgaHWSaveFonts() in 1.12 xserver on OpenBSD, but other
    sub-systems relaying on pci_io could be affected too.
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Tested-by: Tormod Volden <debian.tormod@gmail.com>

commit 725f5669bc03ed9a766e2c51c465e082172e6dae
Author: Thordur Bjornsson <thib@secnorth.net>
Date:   Wed Mar 14 14:45:52 2012 +0100

    Fix openbsd_pci.c:pci_device_vgaarb_set_target();
    
    A return (0) got lost, add it back.
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Reviewed-by:  Mark Kettenis <mark.kettenis@xs4all.nl>

commit b16336c0b389ace07f7418f5a021bfbc68fec2b6
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Mar 5 11:01:01 2012 -0500

    linux: Fix out[bwl] macros on non-I/O architectures
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit fa15fbcdbcfed09ea269ca3fb5f0e3dc2446e66f
Merge: d2dc9f9 bf70556
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Mar 5 11:00:14 2012 -0500

    Merge branch 'master' of ssh://git.freedesktop.org/git/xorg/lib/libpciaccess

commit bf705561d347bc5459bc0af033595c66541cac3e
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Mar 3 18:19:11 2012 -0800

    configure.ac: Bump to 0.13
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit d2dc9f9daa45504f035b169aba94d0b154fd29f0
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Feb 27 11:19:50 2012 -0500

    Use O_CLOEXEC for internal file descriptors
    
    Well, almost all of them.  zlib doesn't support "e" in the mode string
    in gzopen() though it will silently accept and ignore it, and Solaris appears
    not to support "e" in the mode string at all.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit f550c1347d3518874fe1c1d417a57322ee6b52db
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Feb 27 10:43:20 2012 -0500

    linux: Don't use /dev/port
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 2a58cd13c3d14cd2ea57826b56e9906ecfc5648a
Author: Mathias Krause <mathias.krause@secunet.com>
Date:   Fri Feb 24 09:39:31 2012 +0100

    Use correct type for pci_id file accessor functions
    
    This fixes the compiler warning of using the wrong type for gzgets() and
    gzclose() as they want a gzFile argument, not a pointer to gzFile. The
    abstraction layer pci_id_file should just abstract the full type.
    
    Signed-off-by: Mathias Krause <mathias.krause@secunet.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 167ffb1c4e431763e30c894131e704bb3599c7c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 8 22:14:08 2012 -0800

    solx_devfs.c: fix gcc warnings about casting away const when reading data
    
    solx_devfs.c: In function `pci_device_solx_devfs_write':
    solx_devfs.c:1085: warning: cast discards qualifiers from pointer target type
    solx_devfs.c:1089: warning: cast discards qualifiers from pointer target type
    solx_devfs.c:1093: warning: cast discards qualifiers from pointer target type
    solx_devfs.c:1097: warning: cast discards qualifiers from pointer target type
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 573b25ecd34dd69ee14c58f752bffdb5709654b9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 8 22:08:08 2012 -0800

    Close pci.ids file when bailing out because realloc failed
    
    Error: File Leak
       Leaked File f
          at line 272 of src/common_device_name.c in function 'populate_vendor'.
            f initialized at line 204 with fopen("/usr/share/hwdata/pci.ids", "r").
    
    [ This bug was found by the Parfait 0.5.0 bug checking tool.
      For more information see http://labs.oracle.com/projects/parfait/ ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ed6c6157bc94283ce0a8526eeff668094cf3992d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 8 21:40:54 2012 -0800

    Solaris: reorder functions to remove need for lots of static prototypes
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b56f9a84f3dff995a6901ffec6bcc161ec0245ad
Author: Mark Kettenis <kettenis@openbsd.org>
Date:   Thu Dec 29 21:14:44 2011 +0100

    OpenBSD: Implement map_legacy and legacy_io
    
    Signed-off-by: Mark Kettenis <kettenis@openbsd.org>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Tested-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit a798395a1bfd9d06d40e2d8d14377a156c94429a
Author: Daniel Drake <dsd@laptop.org>
Date:   Fri Nov 25 12:28:48 2011 -0600

    delete_io_handle: fix deletion of last handle
    
    When num_ios goes from 1 to 0, a realloc(ios, 0); call is made.
    This is equivalent to free(ios) and NULL is returned.
    
    However, the previous logic in the code incorrectly discards this NULL
    return value. When we next call new_io_handle(), realloc(ios, X) is
    called with "ios" pointing to freed memory. This causes glibc to abort.
    
    Correct this logic to detect the 1-to-0 case and handle it correctly.
    Other cases are unchanged; there is still value in checking the
    return value from realloc() as it also returns NULL on error.
    
    Signed-off-by: Daniel Drake <dsd@laptop.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2601ddd02d608c16b0022fe342e0a3f4bf6cadeb
Author: Mark Kettenis <mark.kettenis@xs4all.nl>
Date:   Sun Nov 6 17:34:29 2011 +0000

    Add VGA Arbiter support for OpenBSD.
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit e64ee4ee2b23dba147d144aacead3cb61c744854
Author: Mark Kettenis <mark.kettenis@xs4all.nl>
Date:   Sun Nov 6 17:32:51 2011 +0000

    OpenBSD: Indicate that devices need access to legacy VGA resources.
    
    Makes sure xserver disables DRI if the VGA arbiter is in use.
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit cfae4096835fe569edb03cd12d4580fc912a0e61
Author: Henry Zhao <henry.zhao@oracle.com>
Date:   Mon Nov 14 18:53:21 2011 -0800

    Solaris: improve support for sparc platform
    
    (1) added prom property retrieval on sparc
    (2) added multiple domain support on sparc
    (3) use kernel device as mapping device
    (4) performance improvements by removing redundant ioctl
    
    Signed-off-by: Henry Zhao <henry.zhao@oracle.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 78eed07d599ff9e30c075aa7c8d1795e125ffc4b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Nov 9 09:27:49 2011 -0800

    configure.ac: Bump to 0.12.902
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit cbb3c63affc1792ade0433691aa67f0edad52b0b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Nov 9 09:46:30 2011 -0800

    Fix some -Wformat errors in scanpci
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit a0a53a67c91c698007dcac3e7aba27c999c4f6ed
Author: Nithin Nayak Sujir <nsujir@broadcom.com>
Date:   Mon Oct 24 12:15:15 2011 -0700

    libpciaccess: close mtrr fd on pci_cleanup
    
    Since the fd is not closed, calling pci_system_init and
    pci_system_cleanup more than 1024 times results in "too many files open"
    error.
    
    Signed-off-by: Nithin Nayak Sujir <nsujir@broadcom.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 803bf3aa28de0f1260e479e2036159d4fead0a87
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Oct 4 21:46:05 2011 -0700

    Solaris: Give better error on realloc failure
    
    commit a18460b385ae03 converted from a fixed maximum number of devices
    to dynamically growing the list via realloc, but didn't update the
    error message shown on failure.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit af4478c52c960bee08209293aa14b784ac30dc05
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Oct 11 10:22:49 2011 -0700

    linux sysfs: Fix read-write access in map_legacy
    
    O_RDONLY | O_WRONLY != O_RDWR
    
    ><
    
    Reported-by: Javier Pello <javier.pello@urjc.es>
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b9c5ce8083be53ea017bd15a63b173b4476fff23
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Oct 9 03:53:05 2011 -0700

    scanpci: Build fix for systems without <err.h>
    
    https://bugs.freedesktop.org/show_bug.cgi?id=31133
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 30e9ec91107791835d722f99498d659dec048922
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Oct 7 11:57:26 2011 -0700

    configure.ac: Bump version to 0.12.901
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 12dbf6d2d346cfe7ba8b2a1697c56af3f9876be7
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Oct 7 11:56:06 2011 -0700

    Update library version to reflect new API
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 58e87933b3286f33cdeedd3a6b21f4ea795bea47
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue May 10 17:56:35 2011 -0400

    linux: Implement map_legacy
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 8cc9a8fe57adfb52abaa90a8a2ac2316de8eb898
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue May 10 17:56:34 2011 -0400

    Add map_legacy interface
    
    This allows platforms to hand back mmaps of the low 1M (ISA) address
    space on a per-domain basis.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit e1a0240a3d6840b497845680c2bf6753415ba20f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:11:38 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7bfc4f806d51b85e7ae069dd6deaf0b48326ed22
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Aug 3 18:35:11 2011 -0400

    linux: Fix a crash in populate_devices
    
    If scandir returns -1, the 'devices' array won't be initialized, and
    attempting to free() it will crash.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit f9159b97834ba4b4e42a07953a33866e7ac90dbd
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Jun 4 12:30:06 2011 +0100

    linux: Only set errno after an error
    
    errno is only valid after an error, and was being filled with a garbage
    value upon eof.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit a18460b385ae034830e4efbaaed7e0665c53ad9f
Author: John Martin <John.M.Martin@Oracle.COM>
Date:   Mon Mar 28 17:51:19 2011 -0700

    Solaris support for multiple PCI segments (domains)
    
    1. Removed hardcoded maximum size of 256 PCI devices, which is
    too small for large systems.  The number of devices is dynamically
    resized as needed.
    
    2. pci_device_solx_devfs_probe() no longer walks the device tree
    from the very top ("/") but instead starts at the nexus which
    owns the bus.  Performance optimization for systems with multiple
    bus nodes (including systems with just one segment/domain).
    
    3. Added support for multiple domains/segments.  Code tested
    on kernels with and without multiple segment support so it should
    be safe to integrate independent of the kernel version.
    
    Signed-off-by: John Martin <John.M.Martin@Oracle.COM>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Adam Jackson <ajax@redhat.com>

commit f3e283a25f5fca4f750bb9538d69c4f36641cca5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 3 17:38:32 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Add AC_CONFIG_SRCDIR([Makefile.am])
    Update X.Org util-macros to version 1.8
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d05ed57216726811388f17d7e87d7b6c7b8580ee
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 2 20:50:17 2011 -0800

    libpciaccess 0.12.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7b4bd8222579b60bec6ab9dbf834d61b1fc7cc74
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 16:07:07 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5fdae72cc62f4341ae5fa0b7696809d4ccd1bd32
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jan 13 22:05:02 2011 -0800

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 48d08f09e36d4aa8e02812874794937d7c778b43
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jan 13 21:58:02 2011 -0800

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    Replace obsolete argument to AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 066032e08407311cfc24dbc1db3245cf8133ad94
Author: Bryce Harrington <bryce@canonical.com>
Date:   Tue Dec 14 12:03:48 2010 -0500

    Fix detection of multi-function cards
    
    Bit 7 of the pci device header type is an indicator of multi-function
    devices, so needs to be masked when examining the bridge type.
    Thanks go to Chih-Pin Wu for finding the bug and its fix.
    
    https://bugs.launchpad.net/ubuntu/+source/libpciaccess/+bug/681207
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Bryce Harrington <bryce@canonical.com>

commit 6220537628fb5e55c94d7dbe1ec190bf38d3b01b
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Mon Dec 6 12:18:19 2010 -0800

    Revert "Don't try to use bogus bridge data"
    
    This reverts commit 2bda5b733bb12854760750c08138db95e77aea0c.
    
    It actually conflicts with 9ba94caf57e3a8c3e9c6f3f5f068f4a7a7b3ff9d
    which came earlier, but I didn't catch it probably because I did a blind
    rebase before pushing.
    
    When reading bridge bus info, we may need to read out the current bridge
    info if the PCI bridge private is uninitialized, so remove the check at
    the top that would always short circuit the case where the priv was
    still 0.
    
    References:
    https://bugs.launchpad.net/ubuntu/+source/libpciaccess/+bug/681207.
    
    Reported-by: Bryce Harrington <bryce@canonical.com>
    Signed-off-by: Jesse Barnes <jbarnes@virtuousgeek.org>

commit 30bfd795557cada4a3c2ce36329ceb22160acff8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 21 11:14:05 2010 -0800

    Sun's copyrights belong to Oracle now
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e29e477ff84ab16938e58ae2719358c14c86a500
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Oct 15 17:34:16 2010 -0400

    config: use LDADD to obtain appropriate dependencies
    
    In generated scanpci/Makefile, this line is added:
    scanpci_DEPENDENCIES = $(top_builddir)/src/libpciaccess.la
    
    If the content of the library changes, the tool will rebuild.
    When scanpci was in the same directory as the library, the .la file was used.
    This will also ensure the "installed" pciaccess library is not used.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fd476deabb97d08086ad465c4d0e913c9437a6bb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 26 14:57:19 2010 -0400

    include: add a Makefile to install and distribute header file
    
    Makefiles are simpler when they only handle what is in their
    directory.
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2b5c81c2d8c643e58ac69d1d7f7a626fc392b1ea
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 26 14:42:50 2010 -0400

    config: replace INCLUDES, which is deprecated, with AM_CPPFLAGS
    
    Fixes an Automake warning.
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b4ee1ccfcd9e9d41033db7b6b5e0a771ae5939d2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Aug 22 08:10:23 2010 -0400

    config: provide a makefile for scanpci man pages
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8daa135ae9eae0a0ed48cc68d6abce16141cd426
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 26 08:39:57 2010 -0400

    scanpci.c: remove offending whitespace as reported by git diff
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit dcb79a20cba1eaaa83158b80bb538d50b003bd79
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Aug 22 08:10:23 2010 -0400

    config: provide a makefile for scanpci dev tool
    
    No function changes.
    
    Note that automake generates a wrapper script if libpciaccess
    is not installed at configuration time, which is the most common case.
    
    If it is installed at configuration time, you get an executable.
    
    The makefile build order ensures the lib is build before scanpci.
    
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 555772964820d88f9481eb48d0431dddd8ba7aa5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Aug 21 19:54:04 2010 -0400

    config: upgrade AC_DEFINE_DIR to AX_DEFINE_DIR
    
    Use the latest version now hosted by GNU.
    The renaming protects Autoconf namespace.
    There is no functional change in the macro.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fa3f1c1ea8ce4b45976e11520856cfa164f8b92d
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jul 21 09:39:26 2010 +1000

    libpciaccess 0.12.0 - bump version for release

commit 2f98724d1e603268360d704b3c8823b93d5fecb4
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Tue Jul 20 22:14:22 2010 +0200

    Fix long standing MTRR bug.
    
    Add an include that makes the file common_vgaarb.c see the same
    struct pci_system as the file linux_sysfs.c.
    
    Without this fix, on a MTRR system, the vgaarb_fd member
    would overwrite the mtrr_fd member and cause the MTRR_IOC_ADD_ENTRY call
    to be issued to the incorrect device causing the infamous
    "Inappropriate ioctl for device (25)" error.
    
    This error would cause MTRR setup to fail on all systems relying on it
    and is severe enough to warrant a new release.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e5159771bd0a013201dcef760e9320071c6df59e
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 12 13:09:33 2010 +1000

    pciaccess: fix use after free.
    
    Using the pointer passed to realloc earlier isn't a recipe for success.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 3f59728ddc6f7d2cb17d434e81ac76c9288d0aef
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 19 10:36:24 2010 -0700

    Let libtool handle library flags for scanpci on Solaris
    
    Stop hardcoding -ldevinfo since configure/libtool already know to add it
    for static linking, and ELF dependencies handle it for dynamic linking
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e0ae5251cd030b201c14f5888a539aa40f17abfb
Author: Tiago Vignatti <tiago.vignatti@nokia.com>
Date:   Sat May 22 18:23:33 2010 +0300

    vgaarb: read back vga count when setting new decoding
    
    Decode kernel operation can also change vga refcount, so we need to read back
    the information when calling it.
    
    Signed-off-by: Tiago Vignatti <tiago.vignatti@nokia.com>

commit 0f153de858032c95ea5844aa6e0f1c8dad7531da
Author: Tiago Vignatti <tiago.vignatti@nokia.com>
Date:   Wed May 12 13:12:47 2010 +0300

    vgaarb: decode should send new information to the kernel
    
    This was introduced in e360c11c.
    
    Signed-off-by: Tiago Vignatti <tiago.vignatti@nokia.com>

commit fa7cca617583eb93a862c5ebbb5a56843210e5a8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jun 4 16:58:56 2010 -0700

    Delay allocation of agp_info so we don't leak it on prior errors
    
       Memory leak of pointer 'agp_info'
            at line 119 of src/common_capability.c in function 'pci_fill_capabilities_generic'.
              'agp_info' allocated at line 107 with calloc(1, 12).
              'agp_info' leaks when err != 0 at line 118.
            at line 124 of src/common_capability.c in function 'pci_fill_capabilities_generic'.
              'agp_info' allocated at line 107 with calloc(1, 12).
              'agp_info' leaks when err != 0 at line 123.
    
    [ This bug was found by the Parfait bug checking tool.
      For more information see http://research.sun.com/projects/parfait ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b8295f4776912d4c3cef836eb0f158e07b432a25
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:34 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a624de7af1d4c0956ecd485e3ae193f93bd78c57
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:49 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit af2be74979aeab9a2fc4c933462e97ce70f816b6
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Tue Jan 19 18:37:43 2010 +0100

    libpciaccess x86 backend
    
    This adds support on x86 for OSes that do not have a PCI interface,
    tinkering with I/O ports, and makes use of it on GNU/Hurd.
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit ebb3c6b69f4e8a844ff95d4e880dde9ede3de347
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Jan 17 14:33:13 2010 +0000

    COPYING: add Red Hat's copyright notice

commit b775e6fa006d78cac21bbfe52f1f721947ddc6ca
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 20:48:20 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit fac83b8116e19d4efbf8438d1cc485656cca5c60
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 14 17:27:12 2009 -0500

    libpciaccess 0.11.0
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 947ab16f2938e8883503ef679a40684dfe2a90e5
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 14 16:26:31 2009 -0500

    Fix I/O handle array allocator to work for devices past the first
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d4e008eeb9af7773edadd259cf55da43411f1a7f
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 14 16:19:35 2009 -0500

    Fix pci_device_open_io() to actually return something useful
    
    Remember, code review just means we're all inept.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 5e8d4c19b4f618e22b6e8e1ad3294d8708067474
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Nov 18 13:53:49 2009 -0500

    I/O port access routines
    
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Acked-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit b2fbe63bdf3522c5d3df5eda2ca3c3b8770c02c9
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Nov 18 14:12:57 2009 -0500

    Add pci_device_get_parent_bridge()
    
    Copied from linuxPci.c in the X server.
    
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit b2b3c3bfdac23c1c8e33f47b28f22c1d4a78cc71
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 57f4d11fef7021e77549a70cbf40ca43e60ea55f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit caa398b5305cb4c5299e283b9833ed2251698893
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit b8284cb2097601d5934773ab75db388b9fa5a9db
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:43 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 28830993636cc5820842345b511d301af33d9c49
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:20 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 97d677746cd70ec9eb1f33483cc829a0063953bc
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Sep 25 10:25:56 2009 +1000

    shutup stupid gcc warning, strtok_r ignores the first parameter

commit 2a10d510d24c7c0aebb03914dd887f9e92cfa754
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Sep 25 10:19:07 2009 +1000

    libpciaccess 0.10.9

commit 1714046ef08ef685bcf1d6c154e64809b12e8d7f
Author: Tiago Vignatti <tiago.vignatti@nokia.com>
Date:   Fri Sep 18 15:21:19 2009 +0300

    vgaarb: fix newbie typo
    
    Eh, we don't need to check for the fd anyway. Kudos jcristau for reporting.
    
    Signed-off-by: Tiago Vignatti <tiago.vignatti@nokia.com>

commit 13c7e6c8f100882718f995f5bf1d478a012cdbdd
Author: Tiago Vignatti <tiago.vignatti@nokia.com>
Date:   Wed Sep 16 12:56:53 2009 +0300

    vgaarb: check for fd before close it
    
    Signed-off-by: Tiago Vignatti <tiago.vignatti@nokia.com>

commit cdbdfaf61c05d0d18eae6815b10666f93162148f
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Sep 17 17:38:56 2009 -0700

    Free return value from scandir instead of leaking it.
    
    Scandir is defined to return pointers to malloc'd storage, so make
    sure that memory is nicely freed.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 42b879a203c1c16daa9d0c610c6a217ead7a5829
Author: Dave Airlie <airlied@linux.ie>
Date:   Wed Sep 2 19:03:11 2009 +1000

    vgaarb: check pci_sys exists before initing vga arb

commit 312cde3c2f3530b031134cfb53a8a54731f02b1b
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Aug 31 09:14:16 2009 +1000

    pciaccess: bump to 0.10.8

commit 566a67767e9fea463c24421d99dc12db590a7b5f
Author: Thomas Klausner <wiz@netbsd.org>
Date:   Mon Aug 31 09:13:27 2009 +1000

    pciaccess: fix vga arb stubs

commit d062dd78baeb28ef2cc59f4fb4a7d82ecd5adf60
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Aug 28 11:29:00 2009 +1000

    libpciaccess: bump to 0.10.7 for vga arb interface addition

commit 81b4705525bdf82d75f5b3c740c53fa4a866d9c3
Merge: f514852 2f997f9
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Aug 28 11:25:15 2009 +1000

    Merge branch 'vga'

commit 2f997f90c8d0b54baab85285703550e8df28325e
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Aug 28 11:24:53 2009 +1000

    vgaarb: update stub interface

commit b229acdfd10fd61f46d8e711910b5c1bdb727857
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Aug 28 11:21:11 2009 +1000

    Revert "vgaarb: delete stub functions"
    
    This reverts commit b7fd4d06890d801aae93fe1a1af7ab110fd388fd.

commit e70767cb2e574f8544a04903eea3afee33345eea
Author: Tiago Vignatti <tiago.vignatti@nokia.com>
Date:   Wed Aug 26 11:14:03 2009 +0300

    Revert "vgaarb: fix pci_device_vgaarb_get_info() return value."
    
    This reverts commit ef8aca5da46155e9ea0d1227215921ad9ce59150.

commit f5148525d546015c12b703a768b5e6c3726446a3
Merge: 7636348 ef8aca5
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Aug 21 13:27:11 2009 +1000

    Merge remote branch 'origin/vga-arbiter'

commit ef8aca5da46155e9ea0d1227215921ad9ce59150
Author: Tiago Vignatti <tiago.vignatti@nokia.com>
Date:   Sun Aug 16 19:11:15 2009 +0300

    vgaarb: fix pci_device_vgaarb_get_info() return value.
    
    Signed-off-by: Tiago Vignatti <tiago.vignatti@nokia.com>

commit 25be96885671d22ee3f932769d72cf3a31f355ee
Author: Tiago Vignatti <tiago.vignatti@nokia.com>
Date:   Sun Aug 16 19:09:35 2009 +0300

    vgaarb: fix indentation and remove trailing white spaces
    
    Signed-off-by: Tiago Vignatti <tiago.vignatti@nokia.com>

commit b7fd4d06890d801aae93fe1a1af7ab110fd388fd
Author: Tiago Vignatti <tiago.vignatti@nokia.com>
Date:   Sun Aug 16 18:59:21 2009 +0300

    vgaarb: delete stub functions
    
    Such stub functions is already with API outdated. Moreover, if some operating
    system doesn't have arbiter's implementation then the app can set some
    autoconf tricks like "ifdef HAVE_PCI_DEVICE_VGAARB_INIT".
    
    Signed-off-by: Tiago Vignatti <tiago.vignatti@nokia.com>

commit 76363486864b325b8f156ece35736ddb64c4e697
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Aug 9 11:28:38 2009 +0200

    Silence compiler warning about pci_id_file_open definition
    
    src/common_device_name.c:59: warning: function declaration isn't a prototype
    src/common_device_name.c: In function 'pci_id_file_open':
    src/common_device_name.c:59: warning: old-style function definition

commit 4eac0173588ab9ef67fcadb47b531abb114aa0a7
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat Aug 8 18:12:08 2009 +0200

    configure.ac: fix help text for the linux-rom-fallback option
    
    LINUX_ROM defaults to no, fix the help text to reflect that
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit e9f2db8b867cba8d91a040a0db9be56099fba680
Merge: 706201e dedd31b
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Aug 6 09:43:08 2009 +1000

    Merge branch 'master' into vga-arbiter

commit dedd31b3bcdeea12955bf565b8e3f2a9d3c66057
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Aug 6 09:39:01 2009 +1000

    pciaccess: make linux rom reading fallback optional
    
    On kernels which have ROM files, the boot VGA rom file
    will contain the 0xc0000 file anyways. If another card
    is missing a rom file there is no need for this.
    
    This is fallback is disabled by default, on the premise
    that distro shipping this new a pciaccess will be running
    on kernels with working rom support which is been upstream
    for a long time

commit 706201e900b5664ea35ec498784590275b98c23a
Merge: 57cf6f1 8aa06cf
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Aug 6 09:42:06 2009 +1000

    Merge branch 'master' into vga-arbiter

commit 8aa06cf7ef5e88c53bf6778336ba1a6036b16cc0
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Aug 6 09:39:01 2009 +1000

    pciaccess: make linux rom reading fallback optional
    
    On kernels which have ROM files, the boot VGA rom file
    will contain the 0xc0000 file anyways. If another card
    is missing a rom file there is no need for this.
    
    This is fallback is disabled by default, on the premise
    that distro shipping this new a pciaccess will be running
    on kernels with working rom support which is been upstream
    for a long time

commit 57cf6f1f428ab73fb2a88c39c694e7d14c2c96c6
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Aug 6 09:39:01 2009 +1000

    pciaccess: make linux rom reading fallback optional
    
    On kernels which have ROM files, the boot VGA rom file
    will contain the 0xc0000 file anyways. If another card
    is missing a rom file there is no need for this.
    
    This is fallback is disabled by default, on the premise
    that distro shipping this new a pciaccess will be running
    on kernels with working rom support which is been upstream
    for a long time

commit 7b7999a302c70f1ad9a5c8fc7517e24ab95c3a95
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Aug 3 12:43:26 2009 +1000

    vgaarb: add vga count + resource accessor

commit 3a6c1be79c05517cfddbce88157bb352237058ab
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Aug 3 09:39:22 2009 +1000

    vgaarb: more api changes + cleanup
    
    add a comma for ease of parsing,
    use hex on the interface in both directions instead of hex on one
    and decimal on the other

commit e5127339c6c48ae6f63f9dc841a94fe960d11496
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jul 31 16:15:55 2009 +1000

    vgaarb: change API to target taking a device + lock/unlock not taking one
    
    working on the target device - a target device of NULL
    reselects the target that existed when we started.
    
    this is mainly to allow a udev posting tool to return to the
    state of what happened before it ran.

commit 0596c559af5ca277a069b04a6402d21724464cda
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jul 31 15:34:32 2009 +1000

    vgaarb: add support for targetting default device

commit 453928b8485bc7beff69996abe12628efc09405f
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jul 31 11:17:21 2009 +1000

    vgaarb: clean up debug output

commit d22d7c0d5e48d130c89282514e378819e0b98636
Merge: e360c11 2bda5b7
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jul 31 11:16:16 2009 +1000

    Merge remote branch 'main/master' into vga-arbiter

commit e360c11c37a219534bfd7266caf163870dddced0
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 20 13:26:41 2009 +1000

    vgaarb: fixup api for new count reporting + decodes interface was wrong.
    
    decodes is a information setting interface so it takes new decodes
    and sends them to the kernel

commit 5d1bdf0cb51c19efd6e2b2c0a463ace9443c48d9
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 16 15:36:30 2009 +1000

    add support for finding if something has a kernel driver

commit 2bda5b733bb12854760750c08138db95e77aea0c
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Tue Jun 30 15:24:45 2009 -0700

    Don't try to use bogus bridge data
    
    If, for whatever reason, we weren't able to read bridge data (therefore
    leaving bridge.pci or bridge.pcmcia empty), we shouldn't try to look at
    the bus data inside the pci/pcmcia struct.

commit 9ae22c87743c624bda593a1ef4bd4eca01c65655
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 5 09:32:10 2009 +1000

    vgaarb: fixup api and decode rsrc.
    
    This fixes up the API and stores the vga arb fd in the sys_pci structure,
    instead of hiding it in a random dev struct.
    
    It also reads back after setting the target and works out the decodes.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 9ae66143550a6aee25d9a9620c5bebf93fa196e5
Author: Tiago Vignatti <vignatti@freedesktop.org>
Date:   Thu May 14 17:30:17 2009 -0300

    Comment typo.

commit 6ae00a992714639fd725efd8817dca69b28276c8
Author: Tiago Vignatti <vignatti@freedesktop.org>
Date:   Thu May 14 17:28:05 2009 -0300

    Reorganize the code.

commit 6ef4e7aebfd2b83e2346e9f8f4ef3c890a6ea73d
Author: Tiago Vignatti <vignatti@freedesktop.org>
Date:   Thu May 14 03:42:56 2009 -0300

    Fix typo in vgaarb stubs.

commit 18a186804bc4e496a392cb31003cef25798f6c7b
Author: Tiago Vignatti <vignatti@freedesktop.org>
Date:   Thu May 14 03:40:25 2009 -0300

    Delete vga_arb_rec.

commit 812ad80018d49f6e4f1be8256d86488690c3ba52
Author: Tiago Vignatti <vignatti@freedesktop.org>
Date:   Wed May 13 18:31:09 2009 -0300

    vgaarb: a bunch of clean ups to fit in libpciaccess style.

commit b77b0fc3fbacc46d55998889f09326d1233339fc
Author: Tiago Vignatti <vignatti@freedesktop.org>
Date:   Wed May 13 17:55:31 2009 -0300

    vgaarb: make it compile.

commit 67af888bcc5667eadf1e9e9bf15305f742416daf
Author: Tiago Vignatti <vignatti@freedesktop.org>
Date:   Wed May 13 17:44:46 2009 -0300

    Import libvgaaccess (VGA Arbiter) implementation from C3SL repository:
        http://git.c3sl.ufpr.br/

commit 8ba6b02ecfa5b03bbf2807e8262bb1253a026493
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri May 1 15:04:19 2009 -0700

    Don't try to write boot_vga since that fails with EACCES

commit b2838fb61c3542f107014b285cbda097acae1e12
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Mar 4 15:55:11 2009 +1000

    pciaccess: provide a method to detect if a device is boot VGA
    
    When the linux kernel exposes this information, we can use this interface
    in the X server to detect whether the kernel believes the device we
    are looking at is the boot VGA device.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f14c6cd626273bd2f8b102ff661d11926619a99b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Apr 24 16:32:12 2009 -0700

    Version bump: 0.10.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6df3387173c3ab25e8a618d9ccf628682d8336d5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Apr 24 16:19:34 2009 -0700

    Resync COPYING file with code copyright notices
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 7f08a1e19b49c9ffdc62e1dff340b392ac7c42d1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Apr 17 22:05:03 2009 -0700

    Fix unused variable warnings in Solaris code
    
    solx_devfs.c: In function `find_target_node':
    solx_devfs.c:672: warning: unused variable `prop'
    solx_devfs.c:673: warning: unused variable `i'
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 0edb2392ede59cadd75915873b52baa188bfa273
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Apr 17 21:59:25 2009 -0700

    Fix $CWARNFLAGS addition
    
    Original addition to configure.ac had typo (missing N) - moving to
    Makefile.am allows easier override at build time
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 146dc2f4ac232bb9d63225c8e72b214dc3120ea6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Apr 17 21:56:31 2009 -0700

    Move included m4 to a subdir so we can more easily update from upstream
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a7f8e58d44716a01f4a8dc9826996a0fa78e4196
Author: Owain Ainsworth <zerooa@googlemail.com>
Date:   Sat Apr 18 06:38:46 2009 +0200

    openbsd_pci.c: use the correct size when mapping the legacy vga rom.
    
    fixes errors (and probably bugs) on intel hardware (at the least).
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit be748a7b512bf5597e162694a3b1769132938fe1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Apr 15 10:06:49 2009 -0700

    Sun bug 6811468: pci_device_solx_devfs_probe accesses freed memory
    
    di_fini() is being called in pci_device_solx_devfs_probe()
    The di_fini (3DEVINFO) man page says "All  handles associated with this
    snapshot become invalid after the  call to di_fini()".  But after that,
    eight lines down, the subroutine was calling di_prop_lookup_ints with
    a handle args.node which was stored from walking the device tree, and
    then using the pointers that returned even further down.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c56da48ee806f73c8ed81afb4a251b24de304620
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Apr 14 17:29:10 2009 -0700

    Fix const mismatch compiler warnings in Solaris backend
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f6084593c275c5dc1d6154f292991b20bffd68c2
Author: edward shu <edward.shu@sun.com>
Date:   Tue Apr 14 17:19:09 2009 -0700

    Sun bug 6785726: libpciaccess needs to use the correct BAR index on solaris
    
    <http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6785726>
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 2355e720ef3c285a44c88f914ebdc163a1c591a7
Author: Mark Kettenis <mark.kettenis@xs4all.nl>
Date:   Tue Apr 14 21:53:26 2009 +0200

    Make libpciaccess on OpenBSD domain-aware.
    
    Makes X capable of discovering PCI devices
    in other domains (on macppc or sparc64 for example).

commit 9ba94caf57e3a8c3e9c6f3f5f068f4a7a7b3ff9d
Author: Darren Smith <darren.smith@juno.com>
Date:   Tue Apr 14 10:46:26 2009 -0400

    Be more paranoid about reading bridge info (#20786)

commit 72e75b00e4f3f7df3badb10c916126253204ae45
Author: Robert Noland <rnoland@2hip.net>
Date:   Fri Feb 27 00:34:28 2009 -0600

    FreeBSD: Incorporate several fixes that have accumulated.
    
    	-Don't frob the BARs while they are enabled
    	-Find proper pci bios address / length
    	-Use the new PCIOCGETBAR ioctl if it exists
    	  rather than frob the BARs ourself
    	-Write must also be a power of two

commit 5855cf5a2cc7ee920b42052372ab734003799d00
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:38 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 42b493490e90e1c5461d36beb3f2dc2580c7d25e
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Jan 28 18:03:21 2009 -0200

    Janitor: Correct make distcheck and compiler warnings.

commit 5bf4b32c2b3844c50e720be5820f2ce657ddea12
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 22 16:14:22 2009 -0800

    Solaris: Use bus-range properties to limit busses scanned on each node
    
    Based on code provided by Dan.Mick@sun.com

commit 0488a2830a6a0d27d9be032607eda954a8c99801
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Dec 7 19:18:29 2008 +0100

    Fix a logic error in pci_device_netbsd_write()
    
    This is the same error as in pci_device_openbsd_write() that actually
    prevented it to write anything.

commit 565c8fcbf39a56319cee4f77f689dfc79e0c6614
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Dec 7 19:00:22 2008 +0100

    Sync with OpenBSD code.
    
    - implement pci_read_rom()
    - only set MTRR on x86 cpus
    - failure to set non-cacheable attributes is not fatal
    - fix a logic error in pci_write()

commit 8222fb8534cf09e433f0f3d68c35d6c390fbba5e
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Tue Nov 25 12:42:15 2008 +0100

    Fix a logic error in pci_device_openbsd_write().

commit 613c1e6d09930bab47f2c6983f220df002c2e2ce
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Nov 19 09:37:49 2008 -0800

    Add AC_SYS_LARGEFILE to configure.ac

commit 0821f3b4eae5428cf1af5c4c056240f8991758f6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Nov 19 08:22:22 2008 -0800

    Don't open/gzopen pci.ids if we're not going to read it

commit ccbfd4cf2a7d203344bd1ffcb9d0024536a0eefa
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 18 19:54:42 2008 -0800

    Fill in byte swapping routines for big-endian Solaris machines

commit 7aca9465a61934d57781352f4fcc42b779392cd0
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Oct 31 18:07:52 2008 +0100

    Bump to 0.10.5

commit 8b0be8751279f9bc8f15ced4e5384fa2b0f78711
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Oct 31 17:33:50 2008 +0100

    Make --without-zlib work

commit 7a5ed759f13c3fc5f379cce2ca02c9ebfae5eae9
Author: Robert Noland <rnoland@2hip.net>
Date:   Wed Oct 29 22:20:35 2008 -0400

    Fix FreeBSD systems which support pci domains.
    
    Support for FreeBSD based systems which support pci domains was broken
    in the commit to support kFreeBSD.  Include config.h so that things are
    happy again.

commit 067f979cbd410ddb82aee702d8434552e35c7154
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 17 14:09:52 2008 -0700

    Version 0.10.4

commit 714fef70e66b651e9a535d3d3cb20d055595a12d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 17 14:09:43 2008 -0700

    Add scanpci.man to EXTRA_DIST

commit 77f274b6386301cb31c074061a8c947a78b49da9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 17 13:51:28 2008 -0700

    Update COPYING with the rest of the copyright/license notices from the code

commit 482d1da02498a6a31a6d829a5be41727f6333f94
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 17 13:48:46 2008 -0700

    Add scanpci man page from Xorg

commit f537fc50e014063d1a1297bfd82680ae3f170281
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 16 21:17:24 2008 -0700

    More minor Solaris cleanups

commit 9a5565c72c13aa107167c9c4a4469dd11ac13714
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 16 18:18:09 2008 -0700

    Clean up formatting of solx_devfs.c

commit de97e7e4c63146032c0badb9e0f0b1899dc8debf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 16 16:55:27 2008 -0700

    Fix bus probing on Solaris/SPARC

commit 110cdac97ca1bca3ec811ce0a71b2b24c1f80525
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 16 13:33:01 2008 -0700

    Correct Sun license notice

commit 4c0d050c72a38e66a7b4ccb134e7e872eb0bf557
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 15 18:23:03 2008 -0700

    scanpci: add -v flag to enable verbose mode like old scanpci

commit 64d0c836d547847b752da6539792b94c803f206b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 15 16:14:18 2008 -0700

    Correct comment about devices used on Solaris

commit d43d21c8cb0f917b65228852a03a7d501636f227
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 15 15:35:25 2008 -0700

    Fix various typos (mostly in comments)

commit 4c1c607c602e5e8d9277b9c01edfa7a8d10333cd
Author: Juan RP <xtraeme@gmail.com>
Date:   Sat Oct 11 20:28:03 2008 +0200

    Add NetBSD support
    
    It's based in the OpenBSD code, but with differences because on NetBSD,
    to set MTRRs we have to use i386/x86_64_set_mtrr() and link to libi386
    or libx86_64.
    
    X.Org bug#17931 <http://bugs.freedesktop.org/show_bug.cgi?id=17931>

commit 6ae378611bb4caaf57311734d3adcb7e10ac3622
Author: Petr Salinger <petr.salinger@seznam.cz>
Date:   Sat Oct 11 20:22:28 2008 +0200

    Add support for GNU/kFreeBSD
    
    We need to initialize the FreeBSD backend on GNU/kFreeBSD and detect
    whether pci_io.pi_sel.pc_domain member exists.
    
    X.Org bug#17882 <http://bugs.freedesktop.org/show_bug.cgi?id=17882>

commit 968289fc3137ac0863c62d3c343153fa3e4aeb10
Author: John Tapsell <johnflux@gmail.com>
Date:   Tue Sep 23 17:26:09 2008 +0300

    configure.ac: Make mtrr.h test more portable
    
    Use the standard AC_CHECK_HEADERS, which works for cross-compiling as
    well as in various other locations.

commit 79ed41882fd721a15c8b0bea7efeb98864d85dfb
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Sep 20 18:28:59 2008 +0200

    OpenBSD: allow 2 successives calls to pci_system_init().
    
    And fix pci_system_cleanup() to make it possible to call pci_system_init()
    again.
    ok kettenis at openbsd.

commit 45015ab30b36bdaefd3f3aeab73d287023928826
Author: Kel Modderman <kel@otaku42.de>
Date:   Tue Jul 8 13:09:52 2008 +0200

    Handle compressed pci.ids
    
    Add an option to build with zlib support so we can find
    vendor/device information if the pci.ids file is gzipped.
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 32c64bb2386c55d5c7a3878ae9e3f95577f00875
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Mar 12 15:00:26 2008 +0100

    Hide one more private symbol

commit 7282b53c47c2435c1ea23948272c9ccf1798178a
Author: Jesse Barnes <jbarnes@hobbes.(none)>
Date:   Mon Jun 23 11:24:04 2008 -0700

    Support write combine resource files in Linux sysfs
    
    Starting with version 2.6.26, Linux will support resourceN_wc files which
    export write combining mappings of PCI resource ranges, so support them if
    present in libpciaccess.

commit f49f66710b6c3cc5edfd0681cf7b69063cb4b893
Author: Stefan Dirsch <sndirsch@suse.de>
Date:   Mon Jun 23 10:50:30 2008 +0200

    Fixed typo in output ("performace" --> "performance").

commit ed0555e4225aec26aaaa40f4f3c15fd914390817
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jun 10 15:24:56 2008 -0400

    libpciaccess 0.10.3

commit 07577a875bc9996437cfe30e5a87ca6b1a0f7e4a
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jun 10 15:23:06 2008 -0400

    libpciaccess 0.10.2

commit e3adc06b8b8214478aa1d3e85fd5f83b79d039b4
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Jun 5 11:39:06 2008 -0700

    Catch and recover from yet another linux kernel bug in mprotect.

commit 4586bb6766983d040bff38b43dc458c47e0ca21f
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 13:44:38 2008 -0400

    Linux: Fail gracefully on machines without PCI.

commit 26400575a2a2d10b1014eaf0bfca6cfbf5d9b93b
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed May 21 16:10:37 2008 +1000

    pciaccess: bump to 0.10.1

commit 4bc9292ff9338e759eb9a73f12edfa5ca87353e0
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed May 21 16:10:24 2008 +1000

    linux: add pci_device_enable entrypoint and sysfs support for it

commit ded8326f2adadc773b34889474a0d4fc20ef387a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri May 9 15:15:42 2008 -0700

    Fix lint warnings in solx_devfs.c

commit 74c976a7bcee3102993cf788850d0b803cf15afd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri May 9 15:05:46 2008 -0700

    Add pci_system_solx_devfs_create prototype to pciaccess_private.h

commit 2ac461b2eca788fa0559312d45efd3caf6eea9bb
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri May 9 14:49:32 2008 -0700

    Initialize err to 0 in pci_device_solx_devfs_map_range
    
    Prevents returning errors when mapping actually succeeds

commit b30d458202bc0304c705eb081b12ead860584bea
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 16 12:10:52 2008 -0700

    Kludge around linux bug and turn off write-through and cache-disable bits
    
    When mmaping the PCI device, the kernel turns on the write-through and
    cache-disable bits in the allocated PTEs. This disables write-combining mode
    and dramatically reduces write bandwidth to the frame buffer. While that
    should be fixed in the kernel, we'll kludge around it here by using mprotect
    to rewrite the PTEs and get those bits turned off.

commit a3b63c43b960e3b37e1b303214e63c5155192a5d
Author: Hasso Tepper <hasso@estpak.ee>
Date:   Mon Apr 7 15:28:44 2008 +0300

    Add DragonFly BSD support
    
    DragonFly behaves exactly like FreeBSD, so no problem here.

commit ec53d6ef2bdf0e7a087ffd45fe112290f2181656
Author: Danny van Dyk <danny.dyk@uni-dortmund.de>
Date:   Fri Mar 28 17:01:29 2008 -0700

    Fix function prototypes for C++

commit a5c862029846ddd5cecf44819f2a967e2a1672a9
Author: Stuart Bennett <sb476@cam.ac.uk>
Date:   Fri Mar 14 11:58:33 2008 -0400

    Bug #13988: Fix reads from "0"-sized ROMs.

commit d898072e28ac35f5b3569f48f2e90a9ef8eee2ca
Author: Mark Kettenis <mark.kettenis@xs4all.nl>
Date:   Wed Mar 12 21:29:58 2008 +0100

    OpenBSD support for libpciaccess.
    
    xserver and libpciaccess both need to open /dev/xf86, which can only
    be opened once.  I implemented pci_system_init_dev_mem() like Ian
    suggested.  This requires some minor changes to the BSD-specific
    os-support code.  Since pci_system_init_dev_mem() is a no-op on
    FreeBSD this should be no problem.

commit 4224ff23794500e1455f28fd5689bd0549b72367
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Mar 7 14:41:47 2008 +0100

    solaris: add pci_tools.h to OS_SUPPORT
    
    pci_tools.h was missing from the tarball, but is needed by solx_devfs.c

commit ac119e0b1d5fdbb6bd447b6cef1ddca59840fe40
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Mar 6 15:31:51 2008 -0500

    libpciaccess 0.10

commit 0ac748d0da1361075efa48a6238f2328d24ba1a8
Author: Doug Chapman <doug.chapman@hp.com>
Date:   Thu Mar 6 14:22:17 2008 -0500

    Bug #14818: Actually return the PCI vendor name, instead of NULL.

commit adc46f65d7a097ea0e8427a2496586a420c99d55
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Feb 19 14:45:40 2008 +0100

    Don't export private symbols.

commit 25de45d250811474e86cb9a09caf258aef699196
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Feb 19 14:26:54 2008 +0100

    Use <byteswap.h> when using glibc, not just on linux
    
    This fixes the build on GNU/kFreeBSD.

commit ceda00d33fbf3d491e3f7e53302acd2b8b74a305
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:38:51 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit e392082abb5696c8837224da86cc0af4f21d7010
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Oct 23 15:19:36 2007 +0200

    Bit-fields have to have type _Bool, signed int, or unsigned int.
    
    ISO/IEC 9899:1999 (E), 6.7.2.1 Structure and union specifiers, (4).
    _Bool is only supported for C99 and up, and 1-bit signed types don't make
    sense -> unsigned int.

commit 5b9ca552a17de37bbac84f0cf5b4430d108e576c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Oct 18 15:59:14 2007 -0700

    Update bug reporting link.

commit 57a942b3cca314a56735e0a4198cac2f25b653dd
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Oct 10 15:20:51 2007 -0700

    FreeBSD: for 64-bit BARs, skip the resource slot used for the upper 32 bits.
    
    This gets us the same resource numbering as on Linux.

commit 127ae628a2090bb00df81adce831b8b031d3b4a8
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Oct 10 14:55:45 2007 -0700

    FreeBSD: Don't try to unset an MTRR if we didn't set it.

commit 28fea32f987a74d365d01bc5870a8bce1c393d59
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Oct 10 14:32:38 2007 -0700

    Add domain output to scanpci.

commit 393145db90578d7d598fccf949b249217066a67c
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Oct 10 14:32:09 2007 -0700

    FreeBSD: Add support for multiple PCI domains.

commit 7d809e149b59f22e24723db7360a4c38a9145b45
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Oct 9 12:13:49 2007 -0700

    FreeBSD: Fix unmap_range to return an error value.

commit 042735df2aa5846fcabfd74c5f73877132728b25
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Oct 9 12:12:34 2007 -0700

    FreeBSD: don't set the MTRR if it's the default mode (uncacheable).

commit 4bdaca5295eeacdaeb80f2e7d0fa17674dcbc77a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Sep 27 15:22:51 2007 -0700

    Need to link with -ldevinfo on Solaris

commit 63983e2397d813246b851771c13397ff700e239e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 26 17:26:47 2007 -0700

    Fix Solaris build: missing static prototype & typo in variable name

commit 8c77862e70eac7f61cd402e9ef33a5b0ca1c6426
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Sep 11 15:07:55 2007 +0000

    Add FreeBSD MTRR setting support.

commit 82a2ff0bb091e097bacb66273f55a287afb15abf
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Sep 4 16:13:24 2007 -0700

    Add stub version of pci_device_map_memory_range
    
    This stub version of pci_device_map_memory_range allows the vesa driver and
    other users of this interface to continue functioning with current
    libpciaccess bits.  That said, users of this interface should convert over
    to pci_device_map_range as soon as possible.

commit 9d1596cba90c8fd273e9d1d5488747cc0f34fdc7
Merge: b1e9117 5cf29b0
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 06:15:58 2007 -0400

    Merge branch 'master' of ssh://git.freedesktop.org/git/xorg/lib/libpciaccess

commit b1e911784d314fdbd8d938e5fe3671bec128fb61
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:53:57 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 5cf29b06b9b5806056a0b04160b2286eb4158748
Author: Keith Packard <keithp@koto.keithp.com>
Date:   Fri Aug 31 13:43:18 2007 -0700

    Don't add MTRR for uncached regions. Remove MTRR on unmap.
    
    MTRR regions aren't needed for uncached mappings, so don't add them. Also,
    when unmapping memory, remove the MTRR entry.

commit ebc618e7508847307713a59aeeed337a9277629d
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Aug 31 12:40:03 2007 -0700

    Update / add comments in struct pci_mem_region.

commit 08ff9f7fbd26dd2d0e30351b556c71c272f6be6c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Aug 30 17:52:02 2007 -0700

    New interfaces to map memory with MTRR (or similar) support.
    
    Added new functions pci_device_map_range and pci_device_unmap_range to
    handle mapping of PCI device BARs.  These new interfaces allow the
    possiblity of MTRRs on platforms that support them.
    
    These additional APIs necessitated changing some internal interfaces.  The
    code for FreeBSD and Solaris has been updated but has not been compiled or
    tested.
    
    Old interfaces are marked deprecated and will eventually be removed.

commit c87273e8e20c8bff892ded31295dba103f27dd35
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Aug 28 16:02:46 2007 -0700

    Make the base address printout of scanpci more usable.

commit 47d625ccea7dbcd6b69009aa1ec64a96e97513f6
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Aug 27 16:41:52 2007 -0700

    Bump version to 0.9.1 (sigh).

commit 73197e09c924dabc18b8839180508584b97e03df
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Aug 27 16:41:21 2007 -0700

    Add linux_devmem.h to file list.

commit 5e595d09e7011b82a90f74b149a97bea23ddfbf0
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Aug 27 16:39:00 2007 -0700

    Bump version to 0.9.0.

commit b0c9558c97ee861af240a948c364807e628e49de
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 21:31:50 2007 -0400

    Remove deprecated .cvsignore files

commit 4e6be0466ad973ee6f63e0cbed466a974908dce8
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Aug 3 16:47:09 2007 -0700

    FreeBSD: Add VGA rom reading through /dev/mem.

commit ae4aed2821161028dabd8381273f3803a24340ad
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Aug 3 10:46:55 2007 -0700

    FreeBSD: Fill in the subdevice ID.

commit 14e62c77bd1ae6ef1d4048df2da96eeff8f7538f
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Aug 3 10:40:53 2007 -0700

    Make scanpci exit cleanly if pci_system_init() fails.

commit a7faac3d2dc49a2130906fbeea3298f32bb9349f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jun 18 12:56:40 2007 -0700

    Initial support for reading expansion ROM via VGA BIOS address.

commit 206e29213f92dd639fb4814ed2f3b6ec27e6f985
Author: edward shu <edward.shu@sun.com>
Date:   Wed Jun 6 23:05:56 2007 +0800

    Libpciaccess on Solaris Initial integration
    
    Libpciaccess on Solaris Initial integration. It depends on devfs to access
    pci configuration space, also xsvc is used for memory map.

commit db56c640028d2f8072274f3eb603caa481103f4f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Mar 27 08:01:39 2007 -0700

    Whitespace police.

commit c6e72deddb3055167fff8007bf039be61e45849e
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Mar 27 07:57:35 2007 -0700

    Don't pci_device_probe until absolutely necessary.

commit 28dc34c2a6045ab95183d708500009bd1eea1659
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Mar 27 07:57:00 2007 -0700

    Make sure header_type is available in read_bridge_info.

commit 061a011ceffc13db3b147dd105d8b7c2edcc3bc8
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Mar 27 07:56:16 2007 -0700

    Populate device and vendor ID fields at device list creation.

commit b36d737d92dbeee7951aded990fa52bac39b2a79
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Mar 6 10:48:51 2007 -0800

    FreeBSD: Fix a couple of minor issues in cleanup paths.

commit 09be109c223b93d74ea3cc7a12d9a22b44990a14
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Mar 1 10:49:13 2007 -0800

    FreeBSD: Add system cleanup function.

commit f6502eee20205ec14ce6499251a28962cc36fdd6
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Feb 28 16:25:07 2007 -0800

    FreeBSD: When mapping regions, use the region's base address, not 0.

commit a4ec2f35ea5b4f74cf455be24f8ad25d4096ab98
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Feb 28 16:13:44 2007 -0800

    Fix inverted protection typo for mmap in region mapping.

commit 9819ae0c376db57a9de5fcbb2f1d4c3ee1ed2ea8
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Feb 28 15:42:24 2007 -0800

    scanpci prototype warning fix

commit e70b710133cc552df266d5046a53f7a241a569eb
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Feb 28 15:39:38 2007 -0800

    Update freebsd code for pci_device_cfg_write API change.

commit d86245be3bd57b29e5b7561b3facecb3298fea3b
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Nov 15 02:49:50 2006 +0200

    scanpci: BIST line offsets were off by 4.

commit cc1d08f113140010f49503adc4e7afe5db892a02
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Jan 16 21:24:12 2007 -0800

    Fix bad parameter to pci_device_cfg_write in pci_device_cfg_write_u8.
    
    When changing the interface of the pci_device_cfg_write_u* functions
    in commit 37ce43c1804bad9c52b8316eaefd3a57b670ee29, I forgot to modify
    pci_device_cfg_write_u8 to pass a pointer to data to
    pci_device_cfg_write instead of just passing data.

commit 54d40b528ab769c4e89aaca87d1728a6194e4378
Merge: 37ce43c 335d42f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jan 15 11:18:29 2007 -0800

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/lib/libpciaccess

commit 37ce43c1804bad9c52b8316eaefd3a57b670ee29
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jan 15 11:18:19 2007 -0800

    Convert pci_device_write_u* funtions to take a value instead of a pointer.
    
    At anholt's request, the pci_device_write_u* functions have been
    converted to take the value to be written as a parameter instead of a
    pointer to the value.
    
    Bump the version to 0.8.0.

commit 335d42f637dd44461bc20ba599ca5dc4971b6eaa
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Jan 12 16:32:51 2007 -0800

    Add support for getting region information on FreeBSD.
    
    This could stand a lot more testing -- all it has received is visual inspection
    of scanpci output on one machine, with some differing results from XFree86
    scanpci output.

commit 94355b6f49a61e7424ddc7ddfc70a9b344233a47
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Jan 12 14:15:29 2007 -0800

    Open the pci device read-write so we can read and write config regs.
    
    With this, we can hook up the IRQ line information.  It would probably be nice
    to have an unpriveleged mode, but for now, write access is required.

commit 253e7f672b8b311b18cf827cd12c9147bba8eb4c
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Jan 12 13:33:51 2007 -0800

    Remove extra fallback definition of PCIIDS_PATH.
    
    PCIIDS_PATH should always be provided by configure.ac and config.h.

commit 87ec7de307ab5bd395d01cdb4f8fdf231d9e769e
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Jan 12 13:13:27 2007 -0800

    Fix many warnings and bugs in the freebsd implementation.
    
    With this, scanpci gives partially-sane results.

commit 4f6e1a61fc0abe1865e147509af5f7f2bfcaf8f7
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Jan 12 13:11:21 2007 -0800

    Enable more warnings when the compiler is GCC.

commit c7ce8ee140b01931994030900c0e8238fbb0caa2
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Jan 12 13:06:50 2007 -0800

    Add pciaccess_private.h to _SOURCES so it gets included in the dist.

commit c65aa7630802c8dfcc06a20e515ace31ab0d0e48
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Jan 11 21:40:57 2007 -0800

    Add interfaces to map / unmap specific memory ranges, bump lib version to 0.7.0.
    
    Add pci_device_map_memory_range and pci_device_unmap_memory_range to
    map and unmap specific memory ranges.  The unmap bit is still a bit
    hinkey (unmaps the whole BAR).  Works so far for initial conversion of
    VESA driver.  Will need to be revisited.

commit db4a12d09fba381f39af024418e913fb99c34935
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Jan 11 21:39:15 2007 -0800

    Fix bad cast that caused bit truncation.

commit 8948a6c3593d92a50a09baf568b69f164d7e7f59
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Nov 14 14:38:48 2006 -0800

    Update .gitignores.

commit 1d227d67d35aba4601c4ffd6a2947ee746d5dc47
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Nov 14 14:37:53 2006 -0800

    Add missing newline at the end of the file.

commit e29843d3b0ff5d32d8ab4bc84c58300782d189d3
Merge: 07b09d9 d05da65
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Nov 14 14:37:46 2006 -0800

    Merge branch 'origin'
    
    Conflicts:
    
    	src/Makefile.am

commit 07b09d930ed2b7eae299ae036ec30099374b95aa
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Sun Jul 30 16:19:50 2006 -0700

    Add the beginnings of a FreeBSD port.

commit d05da6520a273ee4c2f0e11b5a9bac65b51835fe
Author: Ian Romanick <idr@localhost.localdomain>
Date:   Thu Aug 10 09:46:07 2006 -0700

    Fix a segfault in populate_vendor that was triggered when the pci.ids file
    could not be opened.  Thanks to Aaron Plattner for reporting this.  Fix a
    couple possible memory leaks in the same function.

commit 27f0ffca71277371a0b6c0cd1a720a9ce9519da5
Author: Ian Romanick <idr@localhost.localdomain>
Date:   Sun Jul 30 15:35:41 2006 -0700

    Added some function preamble comments.

commit cf1b4d3ddfcdbaeddefc42b6eb19eb85a0a1e454
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Sun Jul 30 14:29:58 2006 -0700

    Add endian macros for BSD.

commit edf3908958eacc20162563b68aa45964f0e38b2c
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Sun Jul 30 14:26:38 2006 -0700

    Use ENXIO instead of ENODATA for pci reads returning less than desired.

commit c0e31708e0446b33240d3e1ba3e36c26a618544c
Author: Ian Romanick <idr@umwelt.(none)>
Date:   Tue Jul 25 15:36:52 2006 -0700

    Add pci_device_get_bridge_buses, bump API version to 0.5.0.

commit 2ba1a0e42928f82e678987c84598e1b9d8ba1ef9
Author: Ian Romanick <idr@umwelt.(none)>
Date:   Thu Jul 6 17:18:14 2006 -0700

    Files missed (for reasons I still don't understand) on the previous
    commit.  REALLY add support for querying bridge information.  Bump to
    version 0.5.0.

commit c0ff6e6141ee6ebb1f628931ae62f0fa8ef87061
Author: Ian Romanick <idr@umwelt.(none)>
Date:   Thu Jul 6 17:09:47 2006 -0700

    Add support for querying bridge information.  Bump to version 0.5.0.

commit 2467b3c509c7e5b771ca21ee6317b2d72d481439
Author: Ian Romanick <idr@umwelt.(none)>
Date:   Thu Jul 6 17:07:18 2006 -0700

    Fix byte ordering of the PCI class.

commit 70a66689fc2e44e7cd693947ed5f3f2acb4b6587
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon May 22 16:10:37 2006 +0000

    Fix foolish endianess bug. Bump to version 0.4.1.

commit 64af050c3803ed61837d9e9109c7a4e239a5c0b8
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Apr 12 22:56:50 2006 +0000

    Bump to version 0.4.0.
    Add multiple-inclusion protection.
    Add new function to write masked bits to PCI config space. This mirrors
        functionality currently available in X.org that is slated to be
        removed.
    Gut old regex based search mechanism with a new mechanism that is modeled
        after the Linux kernel. In addition to searching for devices by device
        / vendor ID, it is possible to search for devices by their domain / bus
        / slot / function.
    Fix serious bus in the reading of ROMs and in the unmapping of regions. The
        main point is that the map routine depens on the pci_mem_region::memory
        pointer being non-NULL only when the region is mapped. Therefore, the
        unmap routine should set it to NULL after unmapping.
    Update to use new search API.

commit 5b4db5c392c123f71a7933bd94c789b5e23dd69a
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Mar 27 18:08:42 2006 +0000

    Remove src/pcils.c and src/Makefile.foo. Add src/scanpci.c.
    Bump version to 0.3.0.
    Replace pci_get_name with pci_get_strings. This function matches the
        functionality provided by the Xorg scanpci module almost identically.

commit 6b1e9fae2ab9979b2a3bb3137c5db4d92d2905c8
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Mar 24 16:57:17 2006 +0000

    Remove src/Makefile.foo from CVS since the generated Makefile can do
        everything now.

commit d890ded5312dc88455fd332e03a4f212ba587e9d
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Mon Mar 20 20:13:34 2006 +0000

    Add scanpci as a noinst target.
    Drop from CVS.

commit 5a04522a921cd8737ef921dfd49b750a8c64dfc9
Author: Ian Romanick <idr@us.ibm.com>
Date:   Sat Mar 18 00:12:48 2006 +0000

    Initial import of libpciaccess.
